# GoKit - xptr

Pointer kits for Golang development.

## Installation

    go get -u github.com/likexian/gokit

## Importing

    import (
        "github.com/likexian/gokit/xptr"
    )

## Documentation

Visit the docs on [GoDoc](https://godoc.org/github.com/likexian/gokit/xptr)

## Example

### Get pointer of int

```go
fmt.Println("&int:", xptr.Int(1))
```

### Get pointer of string

```go
fmt.Println("&string:", xptr.String("test"))
```

## License

Copyright 2012-2022 [Li Kexian](https://www.likexian.com/)

Licensed under the Apache License 2.0

## Donation

If this project is helpful, please share it with friends.

If you want to thank me, you can [give me a cup of coffee](https://www.likexian.com/donate/).
